Sign inGet started

Macros

GET
/workspaces/{workspaceId}/macros
Retrieve list of macros.
Parametri di query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
sort
string
The field by which to sort macros.
Possible values: createdAt, updatedAt, name, language
q
string
A full-text search parameter that searches for macros by name, response body, and/or tag name.
languages
array
Filter macros by language. Multiple languages are combined with a logical OR.
tagIds
array
Filter macros by tag IDs. Multiple tag IDs are combined with a logical AND.
Payload della risposta
results
array of object
obbligatorio
Mostra attributi secondari
results.id
string
obbligatorio
results.name
string
obbligatorio
The user-defined display name of the macro.
results.response
object
Mostra attributi secondari
results.response.text
object
obbligatorio
Mostra attributi secondari
results.response.text.actions
array of object
Mostra attributi secondari
results.response.text.actions.link
object
obbligatorio
Mostra attributi secondari
results.response.text.actions.link.metadata
object
Mostra attributi secondari
results.response.text.actions.link.metadata.description
object
Mostra attributi secondari
results.response.text.actions.link.metadata.description.label
string
obbligatorio
results.response.text.actions.link.text
string
obbligatorio
results.response.text.actions.link.url
string
obbligatorio
results.response.text.actions.type
string
obbligatorio
Possible values: link
results.response.text.attachments
array of object
Mostra attributi secondari
results.response.text.attachments.content
string
results.response.text.attachments.contentId
string
results.response.text.attachments.contentType
string
results.response.text.attachments.filename
string
obbligatorio
results.response.text.attachments.inline
boolean
results.response.text.attachments.mediaUrl
string
obbligatorio
results.response.text.metadata
object
Mostra attributi secondari
results.response.text.metadata.apple
object
Mostra attributi secondari
results.response.text.metadata.apple.appClipPreview
boolean
results.response.text.metadata.apple.appClipRegion
string
results.response.text.metadata.apple.summaryText
string
results.response.text.metadata.headers
object
results.response.text.metadata.line
object
Mostra attributi secondari
results.response.text.metadata.line.emoji
object
Mostra attributi secondari
results.response.text.metadata.line.emoji.items
array of object
Mostra attributi secondari
results.response.text.metadata.line.emoji.items.emojiId
string
obbligatorio
results.response.text.metadata.line.emoji.items.index
integer
obbligatorio
results.response.text.metadata.line.emoji.items.length
integer
results.response.text.metadata.line.emoji.items.productId
string
obbligatorio
results.response.text.metadata.paymentDetails
object
Mostra attributi secondari
results.response.text.metadata.paymentDetails.amount
string
obbligatorio
results.response.text.metadata.paymentDetails.currency
string
obbligatorio
results.response.text.metadata.paymentDetails.sessionIdentifier
string
results.response.text.metadata.paymentDetails.state
string
obbligatorio
results.response.text.metadata.subject
string
results.response.text.metadata.telegram
object
Mostra attributi secondari
results.response.text.metadata.telegram.parseMode
string
results.response.text.metadata.whatsapp
object
Mostra attributi secondari
results.response.text.metadata.whatsapp.callPermissionExpiration
string
results.response.text.metadata.whatsapp.callPermissionResponse
string
Possible values: accept, reject
results.response.text.metadata.whatsapp.previewUrl
boolean
obbligatorio
results.response.text.metadata.whatsapp.sharedContacts
array of object
Mostra attributi secondari
results.response.text.metadata.whatsapp.sharedContacts.origin
string
obbligatorio
results.response.text.metadata.whatsapp.sharedContacts.phones
array of object
Mostra attributi secondari
results.response.text.metadata.whatsapp.sharedContacts.phones.phone
string
obbligatorio
results.response.text.metadata.whatsapp.sharedContacts.phones.type
string
obbligatorio
results.response.text.metadata.whatsapp.sharedContacts.phones.waId
string
obbligatorio
results.response.text.metadata.whatsapp.sharedContacts.vcard
string
results.response.text.text
string
obbligatorio
results.response.type
string
obbligatorio
Possible values: text
results.language
string
The optional user-defined language of the macro.
results.usageCount
integer
results.tags
array of object
Mostra attributi secondari
results.tags.id
string
obbligatorio
results.tags.name
string
obbligatorio
results.tags.description
string
obbligatorio
results.tags.status
string
obbligatorio
Possible values: draft, active, deleted
results.tags.category
object
Mostra attributi secondari
results.tags.category.id
string
obbligatorio
results.tags.category.name
string
obbligatorio
results.tags.category.description
string
obbligatorio
results.tags.category.icon
string
Possible values: none, language, product, location, intent, department
results.tags.category.emoji
string
obbligatorio
results.tags.category.createdAt
string
obbligatorio
results.tags.category.updatedAt
string
obbligatorio
results.tags.agentCount
integer
results.tags.itemCount
integer
results.tags.macroCount
integer
results.tags.createdAt
string
obbligatorio
results.tags.updatedAt
string
obbligatorio
results.tags.deletedAt
string
results.tags.lastUsed
object
Mostra attributi secondari
results.tags.lastUsed.addedToItemAt
string
results.tags.lastUsed.addedToItemId
string
results.tags.lastUsed.removedFromItemAt
string
results.tags.lastUsed.removedFromItemId
string
results.createdAt
string
obbligatorio
results.updatedAt
string
obbligatorio
results.actions
array of object
A list of macro actions to be executed. The order of actions may be changed by the service.
Mostra attributi secondari
results.actions.type
string
obbligatorio
The type of this action.
results.actions.params
object
The parameters of this action. The accepted keys and values are defined by the action type.
results.actions.source
object
The source of this action. If received in a response, should be passed as-is in a subsequent request.
Mostra attributi secondari
results.actions.source.macroId
string
obbligatorio
results.actions.source.actionId
string
obbligatorio
results.actions.outcome
string
The outcome of executing this action.
Possible values: OK, Error, Skipped
results.actions.cause
string
The cause of the outcome of this action, if the outcome is Error.
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/macros' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/macros
Add a new macro to a workspace.
Payload della richiesta
name
string
obbligatorio
The user-defined display name of the macro.
response
object
Mostra parametri secondari
response.text
object
obbligatorio
Mostra parametri secondari
response.text.actions
array of object
Mostra parametri secondari
response.text.actions.link
object
obbligatorio
Mostra parametri secondari
response.text.actions.link.metadata
object
Mostra parametri secondari
response.text.actions.link.metadata.description
object
Mostra parametri secondari
response.text.actions.link.metadata.description.label
string
obbligatorio
response.text.actions.link.text
string
obbligatorio
response.text.actions.link.url
string
obbligatorio
response.text.actions.type
string
obbligatorio
Possible values: link
response.text.attachments
array of object
Mostra parametri secondari
response.text.attachments.content
string
response.text.attachments.contentId
string
response.text.attachments.contentType
string
response.text.attachments.filename
string
obbligatorio
response.text.attachments.inline
boolean
response.text.attachments.mediaUrl
string
obbligatorio
response.text.metadata
object
Mostra parametri secondari
response.text.metadata.apple
object
Mostra parametri secondari
response.text.metadata.apple.appClipPreview
boolean
response.text.metadata.apple.appClipRegion
string
response.text.metadata.apple.summaryText
string
response.text.metadata.headers
object
response.text.metadata.line
object
Mostra parametri secondari
response.text.metadata.line.emoji
object
Mostra parametri secondari
response.text.metadata.line.emoji.items
array of object
Mostra parametri secondari
response.text.metadata.line.emoji.items.emojiId
string
obbligatorio
response.text.metadata.line.emoji.items.index
integer
obbligatorio
response.text.metadata.line.emoji.items.length
integer
response.text.metadata.line.emoji.items.productId
string
obbligatorio
response.text.metadata.paymentDetails
object
Mostra parametri secondari
response.text.metadata.paymentDetails.amount
string
obbligatorio
response.text.metadata.paymentDetails.currency
string
obbligatorio
response.text.metadata.paymentDetails.sessionIdentifier
string
response.text.metadata.paymentDetails.state
string
obbligatorio
response.text.metadata.subject
string
response.text.metadata.telegram
object
Mostra parametri secondari
response.text.metadata.telegram.parseMode
string
response.text.metadata.whatsapp
object
Mostra parametri secondari
response.text.metadata.whatsapp.callPermissionExpiration
string
response.text.metadata.whatsapp.callPermissionResponse
string
Possible values: accept, reject
response.text.metadata.whatsapp.previewUrl
boolean
obbligatorio
response.text.metadata.whatsapp.sharedContacts
array of object
Mostra parametri secondari
response.text.metadata.whatsapp.sharedContacts.origin
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones
array of object
Mostra parametri secondari
response.text.metadata.whatsapp.sharedContacts.phones.phone
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones.type
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones.waId
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.vcard
string
response.text.text
string
obbligatorio
response.type
string
obbligatorio
Possible values: text
language
string
The optional user-defined language of the macro.
tagIds
array of string
The list of tag IDs to associate with the macro.
actions
array of object
A list of macro actions to be executed. The order of actions may be changed by the service.
Mostra parametri secondari
actions.type
string
obbligatorio
The type of this action.
actions.params
object
The parameters of this action. The accepted keys and values are defined by the action type.
actions.source
object
The source of this action. If received in a response, should be passed as-is in a subsequent request.
Mostra parametri secondari
actions.source.macroId
string
obbligatorio
actions.source.actionId
string
obbligatorio
actions.outcome
string
The outcome of executing this action.
Possible values: OK, Error, Skipped
actions.cause
string
The cause of the outcome of this action, if the outcome is Error.
Payload della risposta
id
string
obbligatorio
name
string
obbligatorio
The user-defined display name of the macro.
response
object
Mostra attributi secondari
response.text
object
obbligatorio
Mostra attributi secondari
response.text.actions
array of object
Mostra attributi secondari
response.text.actions.link
object
obbligatorio
Mostra attributi secondari
response.text.actions.link.metadata
object
Mostra attributi secondari
response.text.actions.link.metadata.description
object
Mostra attributi secondari
response.text.actions.link.metadata.description.label
string
obbligatorio
response.text.actions.link.text
string
obbligatorio
response.text.actions.link.url
string
obbligatorio
response.text.actions.type
string
obbligatorio
Possible values: link
response.text.attachments
array of object
Mostra attributi secondari
response.text.attachments.content
string
response.text.attachments.contentId
string
response.text.attachments.contentType
string
response.text.attachments.filename
string
obbligatorio
response.text.attachments.inline
boolean
response.text.attachments.mediaUrl
string
obbligatorio
response.text.metadata
object
Mostra attributi secondari
response.text.metadata.apple
object
Mostra attributi secondari
response.text.metadata.apple.appClipPreview
boolean
response.text.metadata.apple.appClipRegion
string
response.text.metadata.apple.summaryText
string
response.text.metadata.headers
object
response.text.metadata.line
object
Mostra attributi secondari
response.text.metadata.line.emoji
object
Mostra attributi secondari
response.text.metadata.line.emoji.items
array of object
Mostra attributi secondari
response.text.metadata.line.emoji.items.emojiId
string
obbligatorio
response.text.metadata.line.emoji.items.index
integer
obbligatorio
response.text.metadata.line.emoji.items.length
integer
response.text.metadata.line.emoji.items.productId
string
obbligatorio
response.text.metadata.paymentDetails
object
Mostra attributi secondari
response.text.metadata.paymentDetails.amount
string
obbligatorio
response.text.metadata.paymentDetails.currency
string
obbligatorio
response.text.metadata.paymentDetails.sessionIdentifier
string
response.text.metadata.paymentDetails.state
string
obbligatorio
response.text.metadata.subject
string
response.text.metadata.telegram
object
Mostra attributi secondari
response.text.metadata.telegram.parseMode
string
response.text.metadata.whatsapp
object
Mostra attributi secondari
response.text.metadata.whatsapp.callPermissionExpiration
string
response.text.metadata.whatsapp.callPermissionResponse
string
Possible values: accept, reject
response.text.metadata.whatsapp.previewUrl
boolean
obbligatorio
response.text.metadata.whatsapp.sharedContacts
array of object
Mostra attributi secondari
response.text.metadata.whatsapp.sharedContacts.origin
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones
array of object
Mostra attributi secondari
response.text.metadata.whatsapp.sharedContacts.phones.phone
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones.type
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones.waId
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.vcard
string
response.text.text
string
obbligatorio
response.type
string
obbligatorio
Possible values: text
language
string
The optional user-defined language of the macro.
usageCount
integer
tags
array of object
Mostra attributi secondari
tags.id
string
obbligatorio
tags.name
string
obbligatorio
tags.description
string
obbligatorio
tags.status
string
obbligatorio
Possible values: draft, active, deleted
tags.category
object
Mostra attributi secondari
tags.category.id
string
obbligatorio
tags.category.name
string
obbligatorio
tags.category.description
string
obbligatorio
tags.category.icon
string
Possible values: none, language, product, location, intent, department
tags.category.emoji
string
obbligatorio
tags.category.createdAt
string
obbligatorio
tags.category.updatedAt
string
obbligatorio
tags.agentCount
integer
tags.itemCount
integer
tags.macroCount
integer
tags.createdAt
string
obbligatorio
tags.updatedAt
string
obbligatorio
tags.deletedAt
string
tags.lastUsed
object
Mostra attributi secondari
tags.lastUsed.addedToItemAt
string
tags.lastUsed.addedToItemId
string
tags.lastUsed.removedFromItemAt
string
tags.lastUsed.removedFromItemId
string
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
actions
array of object
A list of macro actions to be executed. The order of actions may be changed by the service.
Mostra attributi secondari
actions.type
string
obbligatorio
The type of this action.
actions.params
object
The parameters of this action. The accepted keys and values are defined by the action type.
actions.source
object
The source of this action. If received in a response, should be passed as-is in a subsequent request.
Mostra attributi secondari
actions.source.macroId
string
obbligatorio
actions.source.actionId
string
obbligatorio
actions.outcome
string
The outcome of executing this action.
Possible values: OK, Error, Skipped
actions.cause
string
The cause of the outcome of this action, if the outcome is Error.
Esempio di codice
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/macros' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/macros/{macroId}
Retrieve information about a specific macro.
Payload della risposta
id
string
obbligatorio
name
string
obbligatorio
The user-defined display name of the macro.
response
object
Mostra attributi secondari
response.text
object
obbligatorio
Mostra attributi secondari
response.text.actions
array of object
Mostra attributi secondari
response.text.actions.link
object
obbligatorio
Mostra attributi secondari
response.text.actions.link.metadata
object
Mostra attributi secondari
response.text.actions.link.metadata.description
object
Mostra attributi secondari
response.text.actions.link.metadata.description.label
string
obbligatorio
response.text.actions.link.text
string
obbligatorio
response.text.actions.link.url
string
obbligatorio
response.text.actions.type
string
obbligatorio
Possible values: link
response.text.attachments
array of object
Mostra attributi secondari
response.text.attachments.content
string
response.text.attachments.contentId
string
response.text.attachments.contentType
string
response.text.attachments.filename
string
obbligatorio
response.text.attachments.inline
boolean
response.text.attachments.mediaUrl
string
obbligatorio
response.text.metadata
object
Mostra attributi secondari
response.text.metadata.apple
object
Mostra attributi secondari
response.text.metadata.apple.appClipPreview
boolean
response.text.metadata.apple.appClipRegion
string
response.text.metadata.apple.summaryText
string
response.text.metadata.headers
object
response.text.metadata.line
object
Mostra attributi secondari
response.text.metadata.line.emoji
object
Mostra attributi secondari
response.text.metadata.line.emoji.items
array of object
Mostra attributi secondari
response.text.metadata.line.emoji.items.emojiId
string
obbligatorio
response.text.metadata.line.emoji.items.index
integer
obbligatorio
response.text.metadata.line.emoji.items.length
integer
response.text.metadata.line.emoji.items.productId
string
obbligatorio
response.text.metadata.paymentDetails
object
Mostra attributi secondari
response.text.metadata.paymentDetails.amount
string
obbligatorio
response.text.metadata.paymentDetails.currency
string
obbligatorio
response.text.metadata.paymentDetails.sessionIdentifier
string
response.text.metadata.paymentDetails.state
string
obbligatorio
response.text.metadata.subject
string
response.text.metadata.telegram
object
Mostra attributi secondari
response.text.metadata.telegram.parseMode
string
response.text.metadata.whatsapp
object
Mostra attributi secondari
response.text.metadata.whatsapp.callPermissionExpiration
string
response.text.metadata.whatsapp.callPermissionResponse
string
Possible values: accept, reject
response.text.metadata.whatsapp.previewUrl
boolean
obbligatorio
response.text.metadata.whatsapp.sharedContacts
array of object
Mostra attributi secondari
response.text.metadata.whatsapp.sharedContacts.origin
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones
array of object
Mostra attributi secondari
response.text.metadata.whatsapp.sharedContacts.phones.phone
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones.type
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones.waId
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.vcard
string
response.text.text
string
obbligatorio
response.type
string
obbligatorio
Possible values: text
language
string
The optional user-defined language of the macro.
usageCount
integer
tags
array of object
Mostra attributi secondari
tags.id
string
obbligatorio
tags.name
string
obbligatorio
tags.description
string
obbligatorio
tags.status
string
obbligatorio
Possible values: draft, active, deleted
tags.category
object
Mostra attributi secondari
tags.category.id
string
obbligatorio
tags.category.name
string
obbligatorio
tags.category.description
string
obbligatorio
tags.category.icon
string
Possible values: none, language, product, location, intent, department
tags.category.emoji
string
obbligatorio
tags.category.createdAt
string
obbligatorio
tags.category.updatedAt
string
obbligatorio
tags.agentCount
integer
tags.itemCount
integer
tags.macroCount
integer
tags.createdAt
string
obbligatorio
tags.updatedAt
string
obbligatorio
tags.deletedAt
string
tags.lastUsed
object
Mostra attributi secondari
tags.lastUsed.addedToItemAt
string
tags.lastUsed.addedToItemId
string
tags.lastUsed.removedFromItemAt
string
tags.lastUsed.removedFromItemId
string
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
actions
array of object
A list of macro actions to be executed. The order of actions may be changed by the service.
Mostra attributi secondari
actions.type
string
obbligatorio
The type of this action.
actions.params
object
The parameters of this action. The accepted keys and values are defined by the action type.
actions.source
object
The source of this action. If received in a response, should be passed as-is in a subsequent request.
Mostra attributi secondari
actions.source.macroId
string
obbligatorio
actions.source.actionId
string
obbligatorio
actions.outcome
string
The outcome of executing this action.
Possible values: OK, Error, Skipped
actions.cause
string
The cause of the outcome of this action, if the outcome is Error.
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/macros/{macroId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/macros/{macroId}
Modify fields of a specific macro.
Payload della richiesta
name
string
The user-defined display name of the macro.
response
object
Mostra parametri secondari
response.text
object
obbligatorio
Mostra parametri secondari
response.text.actions
array of object
Mostra parametri secondari
response.text.actions.link
object
obbligatorio
Mostra parametri secondari
response.text.actions.link.metadata
object
Mostra parametri secondari
response.text.actions.link.metadata.description
object
Mostra parametri secondari
response.text.actions.link.metadata.description.label
string
obbligatorio
response.text.actions.link.text
string
obbligatorio
response.text.actions.link.url
string
obbligatorio
response.text.actions.type
string
obbligatorio
Possible values: link
response.text.attachments
array of object
Mostra parametri secondari
response.text.attachments.content
string
response.text.attachments.contentId
string
response.text.attachments.contentType
string
response.text.attachments.filename
string
obbligatorio
response.text.attachments.inline
boolean
response.text.attachments.mediaUrl
string
obbligatorio
response.text.metadata
object
Mostra parametri secondari
response.text.metadata.apple
object
Mostra parametri secondari
response.text.metadata.apple.appClipPreview
boolean
response.text.metadata.apple.appClipRegion
string
response.text.metadata.apple.summaryText
string
response.text.metadata.headers
object
response.text.metadata.line
object
Mostra parametri secondari
response.text.metadata.line.emoji
object
Mostra parametri secondari
response.text.metadata.line.emoji.items
array of object
Mostra parametri secondari
response.text.metadata.line.emoji.items.emojiId
string
obbligatorio
response.text.metadata.line.emoji.items.index
integer
obbligatorio
response.text.metadata.line.emoji.items.length
integer
response.text.metadata.line.emoji.items.productId
string
obbligatorio
response.text.metadata.paymentDetails
object
Mostra parametri secondari
response.text.metadata.paymentDetails.amount
string
obbligatorio
response.text.metadata.paymentDetails.currency
string
obbligatorio
response.text.metadata.paymentDetails.sessionIdentifier
string
response.text.metadata.paymentDetails.state
string
obbligatorio
response.text.metadata.subject
string
response.text.metadata.telegram
object
Mostra parametri secondari
response.text.metadata.telegram.parseMode
string
response.text.metadata.whatsapp
object
Mostra parametri secondari
response.text.metadata.whatsapp.callPermissionExpiration
string
response.text.metadata.whatsapp.callPermissionResponse
string
Possible values: accept, reject
response.text.metadata.whatsapp.previewUrl
boolean
obbligatorio
response.text.metadata.whatsapp.sharedContacts
array of object
Mostra parametri secondari
response.text.metadata.whatsapp.sharedContacts.origin
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones
array of object
Mostra parametri secondari
response.text.metadata.whatsapp.sharedContacts.phones.phone
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones.type
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones.waId
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.vcard
string
response.text.text
string
obbligatorio
response.type
string
obbligatorio
Possible values: text
language
string
The optional user-defined language of the macro.
tagIds
array of string
The list of tag IDs to associate with the macro. An empty list will remove all tags.
actions
array of object
A list of macro actions to be executed. The order of actions may be changed by the service.
Mostra parametri secondari
actions.type
string
obbligatorio
The type of this action.
actions.params
object
The parameters of this action. The accepted keys and values are defined by the action type.
actions.source
object
The source of this action. If received in a response, should be passed as-is in a subsequent request.
Mostra parametri secondari
actions.source.macroId
string
obbligatorio
actions.source.actionId
string
obbligatorio
actions.outcome
string
The outcome of executing this action.
Possible values: OK, Error, Skipped
actions.cause
string
The cause of the outcome of this action, if the outcome is Error.
Payload della risposta
id
string
obbligatorio
name
string
obbligatorio
The user-defined display name of the macro.
response
object
Mostra attributi secondari
response.text
object
obbligatorio
Mostra attributi secondari
response.text.actions
array of object
Mostra attributi secondari
response.text.actions.link
object
obbligatorio
Mostra attributi secondari
response.text.actions.link.metadata
object
Mostra attributi secondari
response.text.actions.link.metadata.description
object
Mostra attributi secondari
response.text.actions.link.metadata.description.label
string
obbligatorio
response.text.actions.link.text
string
obbligatorio
response.text.actions.link.url
string
obbligatorio
response.text.actions.type
string
obbligatorio
Possible values: link
response.text.attachments
array of object
Mostra attributi secondari
response.text.attachments.content
string
response.text.attachments.contentId
string
response.text.attachments.contentType
string
response.text.attachments.filename
string
obbligatorio
response.text.attachments.inline
boolean
response.text.attachments.mediaUrl
string
obbligatorio
response.text.metadata
object
Mostra attributi secondari
response.text.metadata.apple
object
Mostra attributi secondari
response.text.metadata.apple.appClipPreview
boolean
response.text.metadata.apple.appClipRegion
string
response.text.metadata.apple.summaryText
string
response.text.metadata.headers
object
response.text.metadata.line
object
Mostra attributi secondari
response.text.metadata.line.emoji
object
Mostra attributi secondari
response.text.metadata.line.emoji.items
array of object
Mostra attributi secondari
response.text.metadata.line.emoji.items.emojiId
string
obbligatorio
response.text.metadata.line.emoji.items.index
integer
obbligatorio
response.text.metadata.line.emoji.items.length
integer
response.text.metadata.line.emoji.items.productId
string
obbligatorio
response.text.metadata.paymentDetails
object
Mostra attributi secondari
response.text.metadata.paymentDetails.amount
string
obbligatorio
response.text.metadata.paymentDetails.currency
string
obbligatorio
response.text.metadata.paymentDetails.sessionIdentifier
string
response.text.metadata.paymentDetails.state
string
obbligatorio
response.text.metadata.subject
string
response.text.metadata.telegram
object
Mostra attributi secondari
response.text.metadata.telegram.parseMode
string
response.text.metadata.whatsapp
object
Mostra attributi secondari
response.text.metadata.whatsapp.callPermissionExpiration
string
response.text.metadata.whatsapp.callPermissionResponse
string
Possible values: accept, reject
response.text.metadata.whatsapp.previewUrl
boolean
obbligatorio
response.text.metadata.whatsapp.sharedContacts
array of object
Mostra attributi secondari
response.text.metadata.whatsapp.sharedContacts.origin
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones
array of object
Mostra attributi secondari
response.text.metadata.whatsapp.sharedContacts.phones.phone
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones.type
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones.waId
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.vcard
string
response.text.text
string
obbligatorio
response.type
string
obbligatorio
Possible values: text
language
string
The optional user-defined language of the macro.
usageCount
integer
tags
array of object
Mostra attributi secondari
tags.id
string
obbligatorio
tags.name
string
obbligatorio
tags.description
string
obbligatorio
tags.status
string
obbligatorio
Possible values: draft, active, deleted
tags.category
object
Mostra attributi secondari
tags.category.id
string
obbligatorio
tags.category.name
string
obbligatorio
tags.category.description
string
obbligatorio
tags.category.icon
string
Possible values: none, language, product, location, intent, department
tags.category.emoji
string
obbligatorio
tags.category.createdAt
string
obbligatorio
tags.category.updatedAt
string
obbligatorio
tags.agentCount
integer
tags.itemCount
integer
tags.macroCount
integer
tags.createdAt
string
obbligatorio
tags.updatedAt
string
obbligatorio
tags.deletedAt
string
tags.lastUsed
object
Mostra attributi secondari
tags.lastUsed.addedToItemAt
string
tags.lastUsed.addedToItemId
string
tags.lastUsed.removedFromItemAt
string
tags.lastUsed.removedFromItemId
string
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
actions
array of object
A list of macro actions to be executed. The order of actions may be changed by the service.
Mostra attributi secondari
actions.type
string
obbligatorio
The type of this action.
actions.params
object
The parameters of this action. The accepted keys and values are defined by the action type.
actions.source
object
The source of this action. If received in a response, should be passed as-is in a subsequent request.
Mostra attributi secondari
actions.source.macroId
string
obbligatorio
actions.source.actionId
string
obbligatorio
actions.outcome
string
The outcome of executing this action.
Possible values: OK, Error, Skipped
actions.cause
string
The cause of the outcome of this action, if the outcome is Error.
Esempio di codice
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/macros/{macroId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/macros/{macroId}
Remove a specific macro.
Esempio di codice
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/macros/{macroId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/macros/{macroId}/preview
Retrieves the macro with variable substitutions applied to the response body.
Payload della richiesta
itemId
string
The ID of the feed item to source variables from. May be omitted where no feed item exists.
contactId
string
The ID of the contact to source variables from. If not provided, the macro will attempt to find a contact from the feed item.
contact
object
Mostra parametri secondari
The ID of the contact to source variables from. If not provided, the macro will attempt to find a contact from the feed item.
contact.id
string
obbligatorio
actions
array of object
A list of macro actions to be executed. The order of actions may be changed by the service.
Mostra parametri secondari
actions.type
string
obbligatorio
The type of this action.
actions.params
object
The parameters of this action. The accepted keys and values are defined by the action type.
actions.source
object
The source of this action. If received in a response, should be passed as-is in a subsequent request.
Mostra parametri secondari
actions.source.macroId
string
obbligatorio
actions.source.actionId
string
obbligatorio
actions.outcome
string
The outcome of executing this action.
Possible values: OK, Error, Skipped
actions.cause
string
The cause of the outcome of this action, if the outcome is Error.
Payload della risposta
response
object
Mostra attributi secondari
response.text
object
obbligatorio
Mostra attributi secondari
response.text.actions
array of object
Mostra attributi secondari
response.text.actions.link
object
obbligatorio
Mostra attributi secondari
response.text.actions.link.metadata
object
Mostra attributi secondari
response.text.actions.link.metadata.description
object
Mostra attributi secondari
response.text.actions.link.metadata.description.label
string
obbligatorio
response.text.actions.link.text
string
obbligatorio
response.text.actions.link.url
string
obbligatorio
response.text.actions.type
string
obbligatorio
Possible values: link
response.text.attachments
array of object
Mostra attributi secondari
response.text.attachments.content
string
response.text.attachments.contentId
string
response.text.attachments.contentType
string
response.text.attachments.filename
string
obbligatorio
response.text.attachments.inline
boolean
response.text.attachments.mediaUrl
string
obbligatorio
response.text.metadata
object
Mostra attributi secondari
response.text.metadata.apple
object
Mostra attributi secondari
response.text.metadata.apple.appClipPreview
boolean
response.text.metadata.apple.appClipRegion
string
response.text.metadata.apple.summaryText
string
response.text.metadata.headers
object
response.text.metadata.line
object
Mostra attributi secondari
response.text.metadata.line.emoji
object
Mostra attributi secondari
response.text.metadata.line.emoji.items
array of object
Mostra attributi secondari
response.text.metadata.line.emoji.items.emojiId
string
obbligatorio
response.text.metadata.line.emoji.items.index
integer
obbligatorio
response.text.metadata.line.emoji.items.length
integer
response.text.metadata.line.emoji.items.productId
string
obbligatorio
response.text.metadata.paymentDetails
object
Mostra attributi secondari
response.text.metadata.paymentDetails.amount
string
obbligatorio
response.text.metadata.paymentDetails.currency
string
obbligatorio
response.text.metadata.paymentDetails.sessionIdentifier
string
response.text.metadata.paymentDetails.state
string
obbligatorio
response.text.metadata.subject
string
response.text.metadata.telegram
object
Mostra attributi secondari
response.text.metadata.telegram.parseMode
string
response.text.metadata.whatsapp
object
Mostra attributi secondari
response.text.metadata.whatsapp.callPermissionExpiration
string
response.text.metadata.whatsapp.callPermissionResponse
string
Possible values: accept, reject
response.text.metadata.whatsapp.previewUrl
boolean
obbligatorio
response.text.metadata.whatsapp.sharedContacts
array of object
Mostra attributi secondari
response.text.metadata.whatsapp.sharedContacts.origin
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones
array of object
Mostra attributi secondari
response.text.metadata.whatsapp.sharedContacts.phones.phone
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones.type
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.phones.waId
string
obbligatorio
response.text.metadata.whatsapp.sharedContacts.vcard
string
response.text.text
string
obbligatorio
response.type
string
obbligatorio
Possible values: text
actions
array of object
A list of macro actions to be executed. The order of actions may be changed by the service.
Mostra attributi secondari
actions.type
string
obbligatorio
The type of this action.
actions.params
object
The parameters of this action. The accepted keys and values are defined by the action type.
actions.source
object
The source of this action. If received in a response, should be passed as-is in a subsequent request.
Mostra attributi secondari
actions.source.macroId
string
obbligatorio
actions.source.actionId
string
obbligatorio
actions.outcome
string
The outcome of executing this action.
Possible values: OK, Error, Skipped
actions.cause
string
The cause of the outcome of this action, if the outcome is Error.
Esempio di codice
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/macros/{macroId}/preview' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'